Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl
Class LWJGLUtil

    java.lang.Object
      org.lwjgl.LWJGLUtil

    public class LWJGLUtil

extends java.lang.Object

Internal library methods

Version:
  $Revision: 2675 $ $Id: LWJGLUtil.java 2675 2006-11-20 20:07:29 +0000 (ma, 20 nov 2006) elias_naur $
Author:
  Brian Matzon

Field Summary
`static boolean` | `DEBUG` Debug flag.
`static java.nio.ByteBuffer` | `LWJGLIcon16x16` LWJGL Logo - 16 by 16 pixels
`static java.nio.ByteBuffer` | `LWJGLIcon32x32` LWJGL Logo - 32 by 32 pixels
`static int` | `PLATFORM_LINUX`
`static java.lang.String` | `PLATFORM_LINUX_NAME`
`static int` | `PLATFORM_MACOSX`
`static java.lang.String` | `PLATFORM_MACOSX_NAME`
`static int` | `PLATFORM_WINDOWS`
`static java.lang.String` | `PLATFORM_WINDOWS_NAME`

Constructor Summary
`LWJGLUtil()`

Method Summary
`static java.lang.String[]` | `getLibraryPaths(java.lang.String libname, java.lang.String[] platform_lib_names, java.lang.ClassLoader classloader)` Locates the paths required by a library.
`static java.lang.String[]` | `getLibraryPaths(java.lang.String libname, java.lang.String platform_lib_name, java.lang.ClassLoader classloader)` Locates the paths required by a library.
`static int` | `getPlatform()`
`static java.lang.String` | `getPlatformName()`
`static boolean` | `isMacOSXEqualsOrBetterThan(int major_required, int minor_required)` Method to determine if the current system is running a version of Mac OS X better than the given version.
`static void` | `log(java.lang.String msg)` Prints the given message to System.err if DEBUG is true.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PLATFORM_LINUX

    public static final int PLATFORM_LINUX

See Also:
  Constant Field Values

### PLATFORM_MACOSX

    public static final int PLATFORM_MACOSX

See Also:
  Constant Field Values

### PLATFORM_WINDOWS

    public static final int PLATFORM_WINDOWS

See Also:
  Constant Field Values

### PLATFORM_LINUX_NAME

    public static final java.lang.String PLATFORM_LINUX_NAME

See Also:
  Constant Field Values

### PLATFORM_MACOSX_NAME

    public static final java.lang.String PLATFORM_MACOSX_NAME

See Also:
  Constant Field Values

### PLATFORM_WINDOWS_NAME

    public static final java.lang.String PLATFORM_WINDOWS_NAME

See Also:
  Constant Field Values

### LWJGLIcon16x16

    public static final java.nio.ByteBuffer LWJGLIcon16x16

  LWJGL Logo - 16 by 16 pixels

### LWJGLIcon32x32

    public static final java.nio.ByteBuffer LWJGLIcon32x32

  LWJGL Logo - 32 by 32 pixels

### DEBUG

    public static final boolean DEBUG

  Debug flag.

Constructor Detail

### LWJGLUtil

    public LWJGLUtil()

Method Detail

### getPlatform

    public static int getPlatform()

  Returns:
    the current platform type
  See Also:
    `PLATFORM_WINDOWS`, `PLATFORM_LINUX`, `PLATFORM_MACOSX`

### getPlatformName

    public static java.lang.String getPlatformName()

  Returns:
    current platform name
  See Also:
    `PLATFORM_WINDOWS_NAME`, `PLATFORM_LINUX_NAME`, `PLATFORM_MACOSX_NAME`

### getLibraryPaths

    public static java.lang.String[] getLibraryPaths(java.lang.String libname,
                                                     java.lang.String platform_lib_name,
                                                     java.lang.ClassLoader classloader)

  Locates the paths required by a library.

  Parameters:
    `libName` - Local Library Name to search the classloader with ("openal").
    `platform_lib_name` - The native library name ("libopenal.so")
    `classloader` - The classloader to ask for library paths
  Returns:
    Paths to located libraries, if any

### getLibraryPaths

    public static java.lang.String[] getLibraryPaths(java.lang.String libname,
                                                     java.lang.String[] platform_lib_names,
                                                     java.lang.ClassLoader classloader)

  Locates the paths required by a library.

  Parameters:
    `libName` - Local Library Name to search the classloader with ("openal").
    `platform_lib_names` - The list of possible library names ("libopenal.so")
    `classloader` - The classloader to ask for library paths
  Returns:
    Paths to located libraries, if any

### log

    public static void log(java.lang.String msg)

  Prints the given message to System.err if DEBUG is true.

  Parameters:
    `msg` - Message to print

### isMacOSXEqualsOrBetterThan

    public static boolean isMacOSXEqualsOrBetterThan(int major_required,
                                                     int minor_required)

  Method to determine if the current system is running a version of Mac OS X better than the given version. This is only useful for Mac OS X specific code and will not work for any other platform.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.